//Projectile effects for explosions
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_FRAGPROJECTILE_GSH
#define INCLUDED_FRAGPROJECTILE_GSH

////////////////////////////////////////////////////////////////////////////////////

light Lit_FragProjectile
{
	red             1.0
	green           0.8
	blue            0.4
	specular red	1.0
	specular green	0.4
	specular blue	0.2
	range           5.0
}

pgenerator Pgn_FragProjectile
{
	type smoke
	life infinite	// well, it lasts as longs as the projectile it's attached to anyway
	rate 60
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 0.1 green 0.1 blue 0.1 alpha 1.0
	// scale
	start scale 0.4	end scale 0.0
	spin 10000
}

shape Shp_FragProjectile
{
	file "objects\debris.rif"
	name "debris"
}

projectile Prj_FragProjectile
{
	gravity		yes // is this missile affected by gravity
	damage		3 // in strength points
	max range	4000
}

role Rol_FragProjectile : Rol_DefaultProjectile
{
	pgen		Pgn_FragProjectile

	shape		Shp_FragProjectile

	light		Lit_FragProjectile

	projectile	Prj_FragProjectile

	identifier	"frag_projectile"

	nolighting	yes	//so it looks bright

}

//end wrapper
#endif	// INCLUDED_FRAGPROJECTILE_GSH